#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Image Helpers
# 
# Sending an image to a REST API is about choosing a convention. Here are some helpers.

# In[1]:


from jyquickhelper import add_notebook_menu
add_notebook_menu()


# ## base64
# 
# The usual format to send an image is [base64](https://docs.python.org/3/library/base64.html).

# In[2]:


from lightmlrestapi.testing.data import get_wiki_img
imgpath = get_wiki_img()


# In[3]:


from IPython.display import Image
Image(imgpath, width=200)


# In[4]:


from PIL import Image
img = Image.open(imgpath)
img.size


# In[5]:


from lightmlrestapi.args import image2base64
ext, b64 = image2base64(img)
len(b64), type(b64)


# In[6]:


from lightmlrestapi.args import base642image
img2 = base642image(b64)


# In[7]:


img2.resize((150,150))


# ## array

# In[8]:


from lightmlrestapi.args import image2array
arr = image2array(img)
arr.shape


# In[9]: